Package Details: smartgit 18.2.1-1

Git Clone URL: https://aur.archlinux.org/smartgit.git (read-only)
Package Base: smartgit
Description: Git client with Hg and SVN support.
Upstream URL: http://www.syntevo.com/smartgit
Keywords: git hg svn vcs
Licenses: custom
Replaces: smartgithg
Submitter: alyst
Maintainer: alyst (Muflone)
Last Packager: alyst
Votes: 159
Popularity: 0.495311
First Submitted: 2014-11-17 17:04
Last Updated: 2018-12-06 18:06

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9

Anonymous comment on 2012-04-12 00:50

hi
i have a problem with the Setup SmartGit, in the step wich Git Executable and Hg Executable is required.
I put /usr/bin/pacman in both. But I supposed that is wrong because when i press next, the installer says that Git executable is not valid:
>>'/usr/bin/pacman' seems to be no valid Git executable. Git version 1.7.1 or newer is required.
>>Even if the Git executable is valid, there are a couple of possible mis.configurations which result in improper behavior of 'git --version'; for details refer e.g. >>to: http://stackoverflow.com/questions/3431361

regards

alyst commented on 2012-01-27 22:19

@Superpiffer
Thanks, fixed the script to work with their updated site, -ea series as well.

Superpiffer commented on 2012-01-27 09:27

Version 2.1.7 released and PGKBUILD not working anymore, please update. Thanks.

Superpiffer commented on 2012-01-19 12:11

The software requires a change to the executable file to use it with openjdk changing the line
_VM_PROPERTIES="-Dsun.io.useCanonCaches=false -Dsun.java.command=SmartGit"
in
_VM_PROPERTIES="-Dsun.io.useCanonCaches=false -Dsun.java.command=SmartGit -Dsmartgit.checkIncompatibleJava=false"
Exist a workaround for prevent the editing? Thank you.

alyst commented on 2011-12-10 13:32

@heaven
Thanks, I've incorporated your changes. The $pkgver, however, stays the same to conform to Arch packaging guidelines.

heaven commented on 2011-12-10 13:03

#Maintainer: Alexey Stukalov <astukalov@gmail.com>
#forked from smartgit AUR package, maintainer Rene Peinthor
pkgname=smartgit
pkgver=2.1
pkgrel=6
pkgdesc="A Git GUI client written in Java"
arch=("any")
url="http://www.syntevo.com/smartgit/index.html"
license=('custom')
depends=("java-runtime" "desktop-file-utils" "sh")
makedepends=("python>=3")
provides=(smartgit=$pkgver)
source=(smartgit.desktop downloader.py)
install="smartgit.install"
md5sums=('1d4bb1a70a3c6a6d04fe938beb28808b'
'abf1fe0a54b0d0370cc99350063f83ce')
smartgitmd5sum='bce918bcb74c25ee88347587fb9a3526'

_pkgver=$(echo $pkgver | sed 's/\./_/')
extracted="$pkgname-$_pkgver"_"$pkgrel"
srcname="$pkgname-generic-$_pkgver"_"$pkgrel.tar.gz"

build() {
cd "$srcdir"
python3 downloader.py smartgit $srcname

echo "${smartgitmd5sum} *$srcname" | md5sum -c || (error "md5sum doesn't match" && return 1)

tar xzf $srcname
}

package() {
cd "$srcdir"

install -D -m644 "${extracted}"/license.html "${pkgdir}/usr/share/licenses/${pkgname}/license.html"
mkdir -p "${pkgdir}"/opt
mv "${extracted}" ${pkgdir}/opt/$pkgname || return 1

install -D -m644 smartgit.desktop "${pkgdir}"/usr/share/applications/smartgit.desktop
}

heaven commented on 2011-12-10 12:16

Thanks for the package!

agaida commented on 2011-11-14 05:02

Smartgit don't work with openjdk.

florianbw commented on 2011-09-29 11:36

Thanks for the package. Please change jre to java-runtime which is provided by jre but also by openjdk.

alyst commented on 2011-09-01 17:32